Bug 468009 - [gu-IN] : Sorting order for Gujarati needs small correction!
[gu-IN] : Sorting order for Gujarati needs small correction!
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 06:57 EDT by Ankit Patel
Modified: 2009-01-02 02:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-02 02:17:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch created against glibc devel branch for Gujarati Collation fix (1.02 KB, patch)
2008-12-31 04:46 EST, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Ankit Patel 2008-10-22 06:57:22 EDT
Description of problem:
Character "ળ" (0AB3) needs to be sorted after the character "હ" (0AB9)

Version-Release number of selected component (if applicable):
Fedora rawhide!

How reproducible:
Everytime

Steps to Reproduce:
1. Create folders with the name starting from the character (0AB3) and (0AB9)
2. Sort them using simple "sort by name" method
3. Check the order of the folders sorted
  
Actual results:
Folder names starting with (0AB3) is sorted before folder names starting with (0AB9)

Expected results:
Folder names starting with (0AB3) should be sorted after folder names starting with (0AB9)

Additional info:
Comment 1 Ankit Patel 2008-10-22 07:01:44 EDT
Here is the standard sorting order defined by Gujarati Community: http://www.indlinux.org.in/wiki/index.php/GujaratiSort
Comment 2 Bug Zapper 2008-11-25 23:07:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ulrich Drepper 2008-12-30 12:07:07 EST
Pravin, is this assertion correct?  If yes, this should be an easy fix, right?
Comment 4 Pravin Satpute 2008-12-31 04:35:27 EST
sorry, 
i was waiting for foss.in collation workout, thought will get some more inputs there and then will fix it together.
its over and no more inputs
Comment 5 Pravin Satpute 2008-12-31 04:46:28 EST
Created attachment 328000 [details]
patch created against glibc devel branch for Gujarati Collation fix
Comment 6 Ulrich Drepper 2008-12-31 09:58:31 EST
Patch is applied upstream.
Comment 7 Pravin Satpute 2009-01-02 02:17:22 EST
Thanks!!

Note You need to log in before you can comment on or make changes to this bug.